<?php

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';
require_once 'lib/text_utils.php';
require_once 'lib/config_utils.php';
require_once 'main_entry_handler.php';
require_once 'setup_screen.php';
require_once 'main_helper.php';

class MainPlugin extends DefaultDunePlugin
{
    public function __construct()
    {
        MainHelper::$plugin = $this;
        MainHelper::$plugin_name =
            DuneSystem::$properties['plugin_name'];

        MainHelper::static_init();

        MainHelper::$entry_handler = new MainEntryHandler();

        $this->add_screen(new SetupScreen($this->tv));
    }
}

?>
